* {
  box-sizing: border-box;
}

*:focus {
  outline: 0;
}

html {
  height: 100%;
  font-family: 'Roboto', sans-serif;
}

body {
  margin: 0;
  background: #276AE8;
  color: white;
  height: 94.9%;
  /*height: 100%;*/
  font-family: 'Roboto', sans-serif;
}

/* START Page */

#logo {
  color: white;
  width: 124px;
  height: auto;
  margin: 25px auto;
}

#startHeadline {
  font-size: 125px;
  text-transform: uppercase;
  margin: 15px auto;
}

#subheadline {
  font-size: 16px;
  margin-bottom: 40px;
}

.playingCourt {
  margin: 0 auto;
  height: 100%;
  padding: 0;
}

#doNotShowOnLogon1 {
  margin: 0 auto;
  display: flex;
  justify-content: center;
}

#doNotShowOnLogon2 {
  text-align: center;
  /*border: 7px solid white;*/
  padding: 35px 100px;
  border-radius: 7px;
  margin: auto;
}

.customSelect{
  margin: 25px auto 10px auto;
}

.big {
  font-size: 1.2em;
}

.square {
  width: .7em;
  height: .7em;
  margin: .5em;
  display: inline-block;
}

/* Custom dropdown */

.custom-dropdown {
  position: relative;
  display: inline-block;
  vertical-align: middle;
  width: 100%;
}

.custom-dropdown select {
  transition: .2s;
  width: 100%;
  background-color: #374f7a;
  color: #fff;
  font-size: inherit;
  padding: .5em;
  padding-right: 2.5em;
  border: 0;
  margin: 0;
  border-radius: 7px;
  text-indent: 0.01px;
  text-overflow: '';
  -moz-appearance: none;
  -webkit-appearance: none;
  appearance: none;
}

.custom-dropdown select:hover {
  background-color: #143d86;
  box-shadow: 7px 7px #275AE8;
}

.custom-dropdown select::-ms-expand {
  display: none;
}

.custom-dropdown::before, .custom-dropdown::after {
  content: "";
  position: absolute;
  pointer-events: none;
}

.custom-dropdown::after {
  color: white;
  content: "\25BC";
  height: 25px;
  font-size: 12px;
  line-height: 1;
  right: 8px;
  top: 50%;
  margin-top: -.5em;
}

.custom-dropdown::before {
  width: 25px;
  right: 0;
  top: 0;
  bottom: 0;
  border-radius: 0 7px 7px 0;
  background-color: rgba(0, 0, 0, .2);
}

.custom-dropdown::after {
  color: white;
}

.custom-dropdown select[disabled] {
  color: rgba(0, 0, 0, .25);
}

#play {
  border-radius: 7px;
  margin: auto auto;
  border: none;
  padding: 20px 25px;
  width: 250px;
  background-color: #374f7a;
  color: white;
  font-size: 20px;
  transition: .2s;
  cursor: pointer;
}

#play:hover, #play:focus {
  background-color: #143d86;
  box-shadow: 7px 7px #275AE8;
}

#warn {
  margin: 45px auto 10px auto;
  background-color: #ce2326;
  color: white;
  padding: 15px 30px;
  border-radius: 7px;
  max-width: 400px;
}

#warn h2 {
  text-transform: uppercase;
  margin: 0 auto 5px auto;
}

#warn i {
  margin: 0 5px 0 0;
}

#warn p {
  margin: 0;
}

/* Question Page */

#countdownCon {
  display: flex;
  margin: 5px auto auto auto;
  padding: 10px 15px;
  border-radius: 7px;
  width: 30%;
  background-color: #ce2326;
  color: white;
  text-transform: uppercase;
}

#countdownCon h2 {
  margin: auto 2px auto auto;
  font-size: 28px;
}

#countdownCon i {
  margin: auto 5px auto auto;
}

#countdown {
  margin: auto auto auto 2px;
  font-size: 28px;
}

#gameContent {
  box-sizing: border-box;
  display: flex;
  flex-direction: column;
  justify-content: center;
  flex-wrap: nowrap;
  height: 100%;
  padding: 25px 0;
}

#gameh {
  text-align: center;
  width: 90%;
  font-size: 50px;
  /*border-bottom: double white 10px;*/
  margin: 0 auto auto auto;
}

#gameIcon {
  margin: 5px auto;
  font-size: 50px;
}

#answers {
  display: flex;
  flex-direction: column;
  justify-content: center;
  flex-grow: 50%;
  margin: auto;
  width: 50%;
}

#answers button {
  border-radius: 7px;
  margin: 10px auto;
  width: 100%;
  padding: 20px 0;
  font-size: 25px;
  /*border: white solid 3px;*/
  border: none;
  cursor: pointer;
  transition: .3s;
  color: white;
}

#answers button:hover, #answers button:focus {
  box-shadow: 7px 7px #2350ce;
}

#A, .inGameButton:nth-child(1) {
  background-color: #d0224f;
}

#A:hover, #A:focus, .inGameButton:nth-child(1):hover, .inGameButton:nth-child(1):focus {
  background-color: #bb1e46;
}

#B, .inGameButton:nth-child(2) {
  background-color: #15da69;
}

#B:hover, #B:focus, .inGameButton:nth-child(2):hover, .inGameButton:nth-child(2):focus {
  background-color: #13c960;
}

#C, .inGameButton:nth-child(3) {
  background-color: #3d11bd;
}

#C:hover, #C:focus, .inGameButton:nth-child(3):hover, .inGameButton:nth-child(3):focus {
  background-color: #3911ab;
}

#D, .inGameButton:nth-child(4) {
  background-color: #ea8112;
}

#D:hover, #D:focus, .inGameButton:nth-child(4), .inGameButton:nth-child(4) {
  background-color: #c96f10;
}

#logoGame {
  width: 64px;
  height: auto;
  margin: 0 auto auto auto;
}

/* Result Page */

#results {
  display: flex;
  flex-direction: column;
  justify-content: center;
  margin: auto;
  text-align: center;
  width: 1080px;
}

#resultsh {
  text-align: center;
  width: 40%;
  font-size: 50px;
  margin: 15px auto;
  padding: 10px 0;
  text-transform: uppercase;
  text-align: center;
  border-bottom: solid white 5px;
}

#logoResults {
  width: 64px;
  height: auto;
  margin: 5px auto;
}

#resultCon {
  background-color: #4B17FF;
  border-radius: 7px;
  display: flex;
  flex-direction: column;
  justify-content: center;
  width: 40%;
  margin: auto;
  padding: 25px 0;
}

.resultHeadline {
  display: flex;
  flex-direction: row;
  justify-content: center;
  font-size: 22px;
  text-transform: uppercase;
  margin: auto auto 5px auto;
  border-bottom: 3px solid white;
  width: 80%;
  padding: 5px 0;
}

.resultHeadline i {
  margin: auto 5px auto 0;
  font-size: 12px;
}

.resultData {
  margin: 15px auto;
  font-size: 35px;
}
/*
.resultHeadline {
  display: flex;
  flex-direction: row;
  justify-content: center;
  font-size: 35px;
  text-transform: uppercase;
  margin: auto auto 5px auto;
  border-bottom: 3px solid white;
  width: 80%;
  padding: 5px 0;
}

.resultHeadline i {
  margin: auto 5px auto 0;
  font-size: 25px;
}

.resultData {
  margin: 15px auto;
  font-size: 22px;
}*/

#dataCon {
  margin: 25px auto;
  display: flex;
  flex-direction: column;
  justify-content: center;
  width: 75%;
}

#tryagain {
  margin: auto;
  padding: 15px;
  font-size: 25px;
  color: white;
  border-radius: 7px;
  background-color: #374f7a;
  width: 50%;
  text-decoration: none;
  transition: .2s;
}

#tryagain:hover, #tryagain:focus {
  background-color: #143d86;
}

/* LogIn Page */

form {
  margin: auto;
  display: flex;
  justify-content: center;
  flex-direction: column;
  width: 75%;
}

.row {
  display: flex;
  flex-direction: row;
  justify-content: center;
  width: 100%;
}

.loginIcon {
  text-align: center;
  padding: 20px 0;
  font-size: 20px;
  margin: auto 0;
  background-color: #2dabff;
  border-radius: 7px 0 0 7px;
  width: 75px;
}

.formInput {
  margin: 5px auto;
}

#loginh {
  text-align: center;
  text-transform: uppercase;
  margin: auto;
  font-size: 40px;
}

#loginLogo {
  width: 128px;
  height: auto;
  margin: 25px auto;
}

#loginForm {
  border-radius: 7px;
  margin: auto;
  display: flex;
  justify-content: center;
  flex-direction: column;
  width: 40%;
  padding: 25px;
  margin: 25px auto;
  text-transform: capitalize;
}

#username, #password, #email, #forename, #surname {
  width: 100%;
  font-size: 18px;
  border: none;
  padding: 5px 10px;
  margin: 0 auto;
  border-radius: 0 7px 7px 0;
}

#wrongPassword {
  font-size: 18px;
  text-transform: none;
  background-color: #ce2326;
  padding: 12px 10px;
  border-radius: 7px;
  margin: 3px auto;
  text-align: center;
  display: none;
}

.passwordIcon {
  background-color: #ce2326;
}

#signin {
  width: 100%;
  font-size: 16px;
  margin: auto;
}

#remember {
  /*background-color: #2dabff;*/
  margin: 10px auto 5px 0;
  width: 250px;
  padding: 15px 0 0 0;
  border-radius: 7px;
}

#remember label {
  margin: auto 0;
  width: 500px;
}

#signin button {
  border-radius: 7px;
  color: white;
  margin: 10px 0 5px auto;
  border: none;
  font-size: 16px;
  padding: 15px 20px;
  background-color: #2dabff;
  cursor: pointer;
  transition: .2s;
}

#signin button i {
  margin: auto 5px auto auto;
}

#signin button:hover, #signin button:focus {
  background-color: #2793db;
  box-shadow: 3px 3px #275AE8;
}

#copyright {
  margin: auto 3px 0 auto;
}

#register-link {
  text-decoration: none;
  padding: 10px;
  text-align: center;
  margin: 10px auto auto 3px;
  color: white;
  background-color: #2dabff;
  border-radius: 7px;
  transition: .2s;
}

#register-link:hover, #register-link:focus {
  background-color: #2793db;
  box-shadow: 3px 3px #275AE8;
}

/* Error 404 */

#error {
  display: flex;
  flex-direction: column;
  justify-content: center;
  height: 100%;
}

#errorh {
  font-size: 48px;
  margin: 25px auto;
  text-align: center;
  text-transform: uppercase;
}

#errorsubh {
  margin: 10px auto;
  width: 450px;
  text-align: center;
  font-size: 18px;
  height: 150px;
}

#errorImg {
  width: 128px;
  height: auto;
  margin: 50px auto;
}

/* Footer */

footer {
  background-color: #1c1c1c;
  display: flex;
  flex-direction: row;
  padding: 15px 10px;
  margin: 0 0 0 0;
}

#footer-game {
  margin: auto 0 0 0;
}

#copyright-footer {
  margin: auto auto 0 25px;
}

#contact {
  display: flex;
  flex-direction: row;
  margin: auto 25px auto 0;
}

#creator {
  margin: auto 7px;
}

.contactIcon {
  margin: auto 7px;
  color: white;
  transition: .2s;
}

.fa-gitlab:hover, .fa-gitlab:focus {
  color: #e24329;
}

@media only screen and (max-width: 480px) {
  body {
    padding: 0;
    margin: 0;
  }
  form {
    margin: 0;
    width: 100%;
  }
  #logo {
    width: 64px;
    height: auto;
    margin: 0 auto 10px auto;
  }
  #doNotShowOnLogon2 {
    padding: 25px 5px;
  }
  #play {
    margin: auto;
    border: none;
    padding: 20px 25px;
    width: 250px;
    background-color: #374f7a;
    color: white;
    font-size: 20px;
    transition: .2s;
  }
  #play:hover, #play:focus {
    background-color: #143d86;
    box-shadow: 7px 7px #275AE8;
  }
  #warn {
    margin: 10px auto;
    padding: 10px;
    width: 50%;
  }
  #warn h2 {
    font-size: 20px;
  }
  #warn p {
    font-size: 16px;
  }
  #startHeadline {
    font-size: 70px;
  }
  #subheadline {
    font-size: 15px;
  }
  #play {
    margin: 25px;
    font-size: 15px;
    width: 150px;
  }
  #tryagain {
    width: 70%;
  }
  #copyright {
    margin: 5px auto;
  }
  #register-link {
    margin: 5px auto;
  }
  #errorsubh {
    width: 150px;
    height: 450px;
  }
  #errorImg {
    margin: 10px auto 25px auto;
    width: 64px;
    height: auto;
  }
  footer {
    flex-direction: column;
  }
  #copyright-footer {
    margin: 0 auto 5px auto;
  }
  #contact {
    margin: 5px auto 0 auto;
  }
}

@media only screen and (max-width: 800px) {
  #gameh {
    font-size: 30px;
  }
  #countdownCon {
    width: 80%;
  }
  #answers {
    margin: 5px auto;
    width: 100%;
  }
  #answers button {
    font-size: 18px;
  }
  #countdownCon h2 {
    margin: auto 2px auto auto;
    font-size: 20px;
  }
  #countdown {
    font-size: 20px;
  }
  #gameContent {
    display: flex;
    flex-direction: column;
    justify-content: center;
    flex-wrap: nowrap;
  }
  footer {
    margin: 15px 0 0 0;
  }
}

@media only screen and (max-width: 1150px) {
  #gameContent {
    margin: 0 0 15px 0;
    padding: 15px 15px 15px 15px;
    height: 100%;
  }
  #logoGame {
    margin: 10px auto;
  }
  #gameh {
    margin: 5px auto;
  }
  #countdownCon {
    margin: 5px auto;
  }
  #answers {
    margin: 10px auto auto auto;
  }
  #results {
    margin: 0 auto;
    width: 80%;
  }
  #resultCon {
    margin: 5px 0;
    width: 100%;
  }
  #resultsh {
    width: 100%;
    margin: 5px 0;
  }
  #loginForm {
    margin: 0 auto;
    padding: 0 5px;
    width: 90%;
  }
  form {
    margin: 0 auto;
  }
  #signin {
    flex-direction: column;
  }
  #signin #remember {
    margin: 5px auto;
    width: 100%;
    padding: 10px 0;
  }
  #signin button {
    margin: 5px auto;
    width: 100%;
  }
  #footer-login {
    flex-direction: column;
  }
  #errorsubh {
    width: 350px;
    height: 150px;
  }
  #customSelect {
    width: 50%;
    margin: 10px auto;
  }
}

@media only screen and (max-height: 900px) {
  #warn {
    margin: 45px auto 0 auto;
  }
  footer {
    width: 100%;
  }
}

@media only screen and (max-height: 830px) {
  body {
    height: 100%;
  }
}